//Justin Jaunzemis, #3203927, Comp 266 Unit 5
//Automatic Slideshow script

var photoIndex = 0;												//Creates the index to iterate through each photo
showPhotos();													//Recursive call to function below

function showPhotos() {
    var i;														//an Iteration variable to iterate through each photo in the array
    var photos = document.getElementsByClassName("myPhotos");	//Every photo that has the class "myPhotos" to use in the slideshow

    for (i = 0; i < photos.length; i++) {						//Iterates through each photo in the slideshow
       photos[i].style.display = "none";  						//And Initializes them to be hidden
    }
    photoIndex++;												//Increase Photo Index
    if (photoIndex > photos.length) {photoIndex = 1}    		//Switches index back to 1 when it exceeds the length of photos
    
    photos[photoIndex-1].style.display = "block";  				//Sets the photo at photoIndex -1 to be visible
    setTimeout(showPhotos, 7000);								//Waits seven seconds before calling funciton again
}